aagc.vo

## Class AccessoDomiciliareService

- java.lang.Object
- - javax.xml.ws.Service
  - - aagc.vo.AccessoDomiciliareService

-     @WebServiceClient(name="AccessoDomiciliareService",
                        targetNamespace="http://www.nsisr.puglia.it/Schemas/",
                        wsdlLocation="file:/H:/workspace/pddasl/compile/AccessoDomiciliareWS_ErogatoreLogico.wsdl")
      public class AccessoDomiciliareService
      extends javax.xml.ws.Service

  This class was generated by the JAX-WS RI. JAX-WS RI 2.2.10 Generated source version: 2.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.xml.ws.Service

      `javax.xml.ws.Service.Mode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static javax.xml.ws.WebServiceException` | `ACCESSODOMICILIARESERVICE_EXCEPTION`
    `private static javax.xml.namespace.QName` | `ACCESSODOMICILIARESERVICE_QNAME`
    `private static java.net.URL` | `ACCESSODOMICILIARESERVICE_WSDL_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessoDomiciliareService()`
    `AccessoDomiciliareService(java.net.URL wsdlLocation, javax.xml.namespace.QName serviceName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static java.net.URL` | `__getWsdlLocation()`
    `AccessoDomiciliare` | `getAccessoDomiciliarePort()`
    `AccessoDomiciliare` | `getAccessoDomiciliarePort(javax.xml.ws.WebServiceFeature... features)`

    - ### Methods inherited from class javax.xml.ws.Service

      `addPort, create, create, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCESSODOMICILIARESERVICE_WSDL_LOCATION

          private static final java.net.URL ACCESSODOMICILIARESERVICE_WSDL_LOCATION

    - #### ACCESSODOMICILIARESERVICE_EXCEPTION

          private static final javax.xml.ws.WebServiceException ACCESSODOMICILIARESERVICE_EXCEPTION

    - #### ACCESSODOMICILIARESERVICE_QNAME

          private static final javax.xml.namespace.QName ACCESSODOMICILIARESERVICE_QNAME

  - ### Constructor Detail

    - #### AccessoDomiciliareService

          public AccessoDomiciliareService()

    - #### AccessoDomiciliareService

          public AccessoDomiciliareService(java.net.URL wsdlLocation,
                                           javax.xml.namespace.QName serviceName)

  - ### Method Detail

    - #### getAccessoDomiciliarePort

          @WebEndpoint(name="AccessoDomiciliarePort")
          public AccessoDomiciliare getAccessoDomiciliarePort()

      Returns:
        returns AccessoDomiciliare

    - #### getAccessoDomiciliarePort

          @WebEndpoint(name="AccessoDomiciliarePort")
          public AccessoDomiciliare getAccessoDomiciliarePort(javax.xml.ws.WebServiceFeature... features)

      Parameters:
        `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
      Returns:
        returns AccessoDomiciliare

    - #### __getWsdlLocation

          private static java.net.URL __getWsdlLocation()